diff -Naur a/BLACS/SRC/cgamn2d_.c b/BLACS/SRC/cgamn2d_.c
--- a/BLACS/SRC/cgamn2d_.c	2019-08-27 15:56:39.594370239 +0100
+++ b/BLACS/SRC/cgamn2d_.c	2019-08-27 15:56:34.354392165 +0100
@@ -221,7 +221,7 @@
       {
 #endif
       i = 2;
-      ierr=MPI_Type_struct(i, len, disp, dtypes, &MyType);
+      ierr=MPI_Type_create_struct(i, len, disp, dtypes, &MyType);
       ierr=MPI_Type_commit(&MyType);
       bp->N = bp2->N = 1;
       bp->dtype = bp2->dtype = MyType;
diff -Naur a/BLACS/SRC/cgamx2d_.c b/BLACS/SRC/cgamx2d_.c
--- a/BLACS/SRC/cgamx2d_.c	2019-08-27 15:56:39.594370239 +0100
+++ b/BLACS/SRC/cgamx2d_.c	2019-08-27 15:56:34.354392165 +0100
@@ -221,7 +221,7 @@
       {
 #endif
       i = 2;
-      ierr=MPI_Type_struct(i, len, disp, dtypes, &MyType);
+      ierr=MPI_Type_create_struct(i, len, disp, dtypes, &MyType);
       ierr=MPI_Type_commit(&MyType);
       bp->N = bp2->N = 1;
       bp->dtype = bp2->dtype = MyType;
diff -Naur a/BLACS/SRC/dgamn2d_.c b/BLACS/SRC/dgamn2d_.c
--- a/BLACS/SRC/dgamn2d_.c	2019-08-27 15:56:39.604370197 +0100
+++ b/BLACS/SRC/dgamn2d_.c	2019-08-27 15:56:34.354392165 +0100
@@ -221,7 +221,7 @@
       {
 #endif
       i = 2;
-      ierr=MPI_Type_struct(i, len, disp, dtypes, &MyType);
+      ierr=MPI_Type_create_struct(i, len, disp, dtypes, &MyType);
       ierr=MPI_Type_commit(&MyType);
       bp->N = bp2->N = 1;
       bp->dtype = bp2->dtype = MyType;
diff -Naur a/BLACS/SRC/dgamx2d_.c b/BLACS/SRC/dgamx2d_.c
--- a/BLACS/SRC/dgamx2d_.c	2019-08-27 15:56:39.604370197 +0100
+++ b/BLACS/SRC/dgamx2d_.c	2019-08-27 15:56:34.354392165 +0100
@@ -221,7 +221,7 @@
       {
 #endif
       i = 2;
-      ierr=MPI_Type_struct(i, len, disp, dtypes, &MyType);
+      ierr=MPI_Type_create_struct(i, len, disp, dtypes, &MyType);
       ierr=MPI_Type_commit(&MyType);
       bp->N = bp2->N = 1;
       bp->dtype = bp2->dtype = MyType;
diff -Naur a/BLACS/SRC/igamn2d_.c b/BLACS/SRC/igamn2d_.c
--- a/BLACS/SRC/igamn2d_.c	2019-08-27 15:56:39.614370156 +0100
+++ b/BLACS/SRC/igamn2d_.c	2019-08-27 15:56:34.354392165 +0100
@@ -218,7 +218,7 @@
       {
 #endif
       i = 2;
-      ierr=MPI_Type_struct(i, len, disp, dtypes, &MyType);
+      ierr=MPI_Type_create_struct(i, len, disp, dtypes, &MyType);
       ierr=MPI_Type_commit(&MyType);
       bp->N = bp2->N = 1;
       bp->dtype = bp2->dtype = MyType;
diff -Naur a/BLACS/SRC/igamx2d_.c b/BLACS/SRC/igamx2d_.c
--- a/BLACS/SRC/igamx2d_.c	2019-08-27 15:56:39.614370156 +0100
+++ b/BLACS/SRC/igamx2d_.c	2019-08-27 15:56:34.354392165 +0100
@@ -218,7 +218,7 @@
       {
 #endif
       i = 2;
-      ierr=MPI_Type_struct(i, len, disp, dtypes, &MyType);
+      ierr=MPI_Type_create_struct(i, len, disp, dtypes, &MyType);
       ierr=MPI_Type_commit(&MyType);
       bp->N = bp2->N = 1;
       bp->dtype = bp2->dtype = MyType;
diff -Naur a/BLACS/SRC/sgamn2d_.c b/BLACS/SRC/sgamn2d_.c
--- a/BLACS/SRC/sgamn2d_.c	2019-08-27 15:56:39.634370072 +0100
+++ b/BLACS/SRC/sgamn2d_.c	2019-08-27 15:56:34.354392165 +0100
@@ -221,7 +221,7 @@
       {
 #endif
       i = 2;
-      ierr=MPI_Type_struct(i, len, disp, dtypes, &MyType);
+      ierr=MPI_Type_create_struct(i, len, disp, dtypes, &MyType);
       ierr=MPI_Type_commit(&MyType);
       bp->N = bp2->N = 1;
       bp->dtype = bp2->dtype = MyType;
diff -Naur a/BLACS/SRC/sgamx2d_.c b/BLACS/SRC/sgamx2d_.c
--- a/BLACS/SRC/sgamx2d_.c	2019-08-27 15:56:39.634370072 +0100
+++ b/BLACS/SRC/sgamx2d_.c	2019-08-27 15:56:34.354392165 +0100
@@ -221,7 +221,7 @@
       {
 #endif
       i = 2;
-      ierr=MPI_Type_struct(i, len, disp, dtypes, &MyType);
+      ierr=MPI_Type_create_struct(i, len, disp, dtypes, &MyType);
       ierr=MPI_Type_commit(&MyType);
       bp->N = bp2->N = 1;
       bp->dtype = bp2->dtype = MyType;
diff -Naur a/BLACS/SRC/zgamn2d_.c b/BLACS/SRC/zgamn2d_.c
--- a/BLACS/SRC/zgamn2d_.c	2019-08-27 15:56:39.644370030 +0100
+++ b/BLACS/SRC/zgamn2d_.c	2019-08-27 15:56:34.354392165 +0100
@@ -221,7 +221,7 @@
       {
 #endif
       i = 2;
-      ierr=MPI_Type_struct(i, len, disp, dtypes, &MyType);
+      ierr=MPI_Type_create_struct(i, len, disp, dtypes, &MyType);
       ierr=MPI_Type_commit(&MyType);
       bp->N = bp2->N = 1;
       bp->dtype = bp2->dtype = MyType;
diff -Naur a/BLACS/SRC/zgamx2d_.c b/BLACS/SRC/zgamx2d_.c
--- a/BLACS/SRC/zgamx2d_.c	2019-08-27 15:56:39.644370030 +0100
+++ b/BLACS/SRC/zgamx2d_.c	2019-08-27 15:56:34.354392165 +0100
@@ -221,7 +221,7 @@
       {
 #endif
       i = 2;
-      ierr=MPI_Type_struct(i, len, disp, dtypes, &MyType);
+      ierr=MPI_Type_create_struct(i, len, disp, dtypes, &MyType);
       ierr=MPI_Type_commit(&MyType);
       bp->N = bp2->N = 1;
       bp->dtype = bp2->dtype = MyType;
